Subject: [alto] TR: New Version Notification for draft-randriamasy-alto-cost-schedule-03.txt

From: "RANDRIAMASY, SABINE (SABINE)" <[email-masked]>
Date: Mon, 17 Feb 2014 18:01:35 +0000

Hi all,

A new version of "ALTO Cost Schedule" has been posted last Friday. 
This version provides 2 new use cases based on recent extension proposals to the ALTO WG:

- Section 2.4 "Large flow scheduling on extended ALTO topologies": describes how the time interval based cost values exposed by an ALTO Cost Schedule can support "Large Flow Scheduling" on extended ALTO topologies as presented during the last ALTO WG meeting. 
- Section 2.5 "Providing values for time-sensitive TE metrics": proposes the ALTO Cost Schedule as a facility to expose values of many of the time-sensitive TE metrics presented during the last ALTO WG meeting. 

All feedback and discussions on this draft are welcome,
Thanks,
Sabine

>>-----Message d'origine-----
>>De : [email-masked] [mailto:[email-masked]]
>>Envoyé : vendredi 14 février 2014 20:59
>>À : RANDRIAMASY, SABINE (SABINE); RANDRIAMASY, SABINE (SABINE); Nico
>>Schwan; Nico Schwan
>>Objet : New Version Notification for draft-randriamasy-alto-cost-
>>schedule-03.txt
>>
>>
>>A new version of I-D, draft-randriamasy-alto-cost-schedule-03.txt
>>has been successfully submitted by Sabine Randriamasy and posted to the
>>IETF repository.
>>
>>Name:		draft-randriamasy-alto-cost-schedule
>>Revision:	03
>>Title:		ALTO Cost Schedule
>>Document date:	2014-02-14
>>Group:		Individual Submission
>>Pages:		19
>>URL:            http://www.ietf.org/internet-drafts/draft-randriamasy-
>>alto-cost-schedule-03.txt
>>Status:         https://datatracker.ietf.org/doc/draft-randriamasy-
>>alto-cost-schedule/
>>Htmlized:       http://tools.ietf.org/html/draft-randriamasy-alto-cost-
>>schedule-03
>>Diff:           http://www.ietf.org/rfcdiff?url2=draft-randriamasy-
>>alto-cost-schedule-03
>>
>>Abstract:
>>   The goal of Application-Layer Traffic Optimization (ALTO) is to
>>   bridge the gap between network and applications by provisioning
>>   network related information.  This allows applications to make
>>   informed decisions, for example when selecting a target host from a
>>   set of candidates.  The ALTO problem statement [RFC5693] considers
>>   typical applications as file sharing, real-time communication and
>>   live streaming peer-to-peer networks.  Recently other use cases
>>   focused on Content Distribution Networks and Data Centers have
>>   emerged.
>>
>>   The present draft proposes to extend the cost information provided
>>by
>>   the ALTO protocol.  The purpose is to broaden the decision
>>   possibilities of applications to not only decide 'where' to connect
>>   to, but also 'when'.  This is useful to applications that have a
>>   degree of freedom on when to schedule data transfers, such as non-
>>   instantaneous data replication between data centers or service
>>   provisioning to end systems with irregular connectivity.  The draft
>>   therefore specifies a new cost mode, called the "schedule" mode.  In
>>   this mode the ALTO server offers cost maps that contain path ratings
>>   that are valid for a given timeframe (e.g. hourly) for a period of
>>   time (e.g. a day).  Besides the functional time-shift enhancement
>>   providing multi-timeframe cost values, the ALTO Cost Schedule also
>>   allows to save a number of ALTO transactions and thus resources on
>>   the ALTO server and clients.  Last, guidance to schedule application
>>   traffic can also efficiently help for load balancing and resources
>>   efficiency.
>>
>>
>>
>>
>>
>>Please note that it may take a couple of minutes from the time of
>>submission until the htmlized version and diff are available at
>>tools.ietf.org.
>>
>>The IETF Secretariat